aboutsummaryrefslogtreecommitdiff
path: root/automated/linux/hackbench
diff options
context:
space:
mode:
authorLei Yang <Lei.Yang@windriver.com>2017-10-23 14:37:01 +0800
committerChase Qi <chase.qi@linaro.org>2017-10-23 17:37:26 +0800
commitce33f2c425e30d00b7fec5edad80c6df940961f8 (patch)
treecbb79d147c29ee10a36b6e6458f558667bc2bbba /automated/linux/hackbench
parent31c87bab17e5fcc33d19aa6afea33b59c68176f0 (diff)
hackbench: use pre-installed binary if already installed
Change-Id: Iaaabf2034d4ad44bd64c507e3abe4231cc61f7dc Signed-off-by: Lei Yang <Lei.Yang@windriver.com>
Diffstat (limited to 'automated/linux/hackbench')
-rwxr-xr-xautomated/linux/hackbench/hackbench.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/automated/linux/hackbench/hackbench.sh b/automated/linux/hackbench/hackbench.sh
index 48ded0f..e683f17 100755
--- a/automated/linux/hackbench/hackbench.sh
+++ b/automated/linux/hackbench/hackbench.sh
@@ -46,11 +46,14 @@ fi
info_msg "Hackbench test options: ${OPTS}"
# Test run.
-detect_abi
+if ! binary=$(which hackbench); then
+ detect_abi
+ # shellcheck disable=SC2154
+ binary="./bin/${abi}/hackbench"
+fi
for i in $(seq "${ITERATION}"); do
info_msg "Running iteration [$i/${ITERATION}]"
- # shellcheck disable=SC2154
- ./bin/"${abi}"/hackbench "${OPTS}" 2>&1 | tee -a "${TEST_LOG}"
+ "${binary}" "${OPTS}" 2>&1 | tee -a "${TEST_LOG}"
done
# Parse output.